import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { InsuranceContactSelectObjectSchema as InsuranceContactSelectObjectSchema } from './InsuranceContactSelect.schema';
import { InsuranceContactIncludeObjectSchema as InsuranceContactIncludeObjectSchema } from './InsuranceContactInclude.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => InsuranceContactSelectObjectSchema).optional(),
  include: z.lazy(() => InsuranceContactIncludeObjectSchema).optional()
}).strict();
export const InsuranceContactArgsObjectSchema = makeSchema();
export const InsuranceContactArgsObjectZodSchema = makeSchema();
